{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.spark_dragon": {
      "geometry": "Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],
      "textures": [
        "Array.textures[query.property('silverlabs:dragon_color')]"
      ],
      "arrays": {
        "textures": {
          "Array.textures": [
            "Texture.color_0",
            "Texture.color_1",
            "Texture.color_2",
            "Texture.color_3",
            "Texture.color_4",
            "Texture.color_5"
          ]
        }
      }
    }
  }
}
